Index: npl/kernel/linux_src/linux_src.SlackBuild
===================================================================
--- npl/kernel/linux_src/linux_src.SlackBuild	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/linux_src/linux_src.SlackBuild	(revision e8565120de16c582dc1bd83033f7d7370bacd011)
@@ -14,10 +14,10 @@
 
 #unpack basic kernel and apply all incremental patches
-tar -xf $CWD/linux-4.9.tar.xz || exit 1
+tar -xf $CWD/linux-4.14.tar.xz || exit 1
 cd linux-* || exit 1
 #if you want to create a newer kernel: just download newest patches, and increase patchlevel
 #also increase .major file to trigger rebuilds!
-PATCHLEVEL=215
-VER=4.9.$PATCHLEVEL
+PATCHLEVEL=172
+VER=4.14.$PATCHLEVEL
 #bunzip2 $CWD/patch-$VER.bz2 || exit 1
 #gunzip $CWD/patch-$VER.gz || exit 1
@@ -46,4 +46,5 @@
 
 #from https://dev.gentoo.org/~mpagano/genpatches/patches-4.9-143.html
+#https://dev.gentoo.org/~mpagano/genpatches/patches-4.14-182.html
 patch  -p1 < $CWD/4200_fbcondecor.patch || exit 1
 
@@ -55,5 +56,7 @@
 #patch -p1 -F3 < $CWD/linux-3.13.10_hardened_gentoo.diff || exit 1
 #patch -p1  < $CWD/linux-4.4.5-imq.diff || exit 1
-patch -p1  < $CWD/linux-4.9-imq.diff || exit 1
+#patch -p1  < $CWD/linux-4.9-imq.diff || exit 1
+#from https://raw.githubusercontent.com/imq/linuximq/master/kernel/v4.x/linux-4.14-imq.diff
+patch -p1  < $CWD/linux-4.14-imq.diff || exit 1
 
 
Index: npl/kernel/linux_src/linux_src.build
===================================================================
--- npl/kernel/linux_src/linux_src.build	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/linux_src/linux_src.build	(revision e8565120de16c582dc1bd83033f7d7370bacd011)
@@ -1,1 +1,1 @@
-6565
+6567
Index: npl/kernel/linux_src/linux_src.major
===================================================================
--- npl/kernel/linux_src/linux_src.major	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/linux_src/linux_src.major	(revision e8565120de16c582dc1bd83033f7d7370bacd011)
@@ -1,2 +1,2 @@
-409215006
+414172001
 
Index: npl/kernel/linux_src/linux_src.md5
===================================================================
--- npl/kernel/linux_src/linux_src.md5	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/linux_src/linux_src.md5	(revision e8565120de16c582dc1bd83033f7d7370bacd011)
@@ -1,11 +1,14 @@
-1c0d964fcb8ab76dd04f19f83bdabbc2  ./4200_fbcondecor.patch
-81aefdabd0946c19aa091ecc8d81ef4a  ./config
+8e12dfcbf36f937747e1fb36b115c14b  ./4200_fbcondecor.patch
+c020bdeb4d74c11d59a479ccb2a848b4  ./config
 8b7ca23aa660578023a0a244ae235888  ./fbcondecor-3.19.patch
+914a5254c91f2564a7654c2180f4e911  ./linux-4.14-imq.diff
+bacdb9ffdcd922aa069a5e1520160e24  ./linux-4.14.tar.xz
 467d0a59ae2bfe466a370d65768b8ace  ./linux-4.4.5-imq.diff
 6b10d4581a7f626ea0634ce0e2ad0250  ./linux-4.9-imq.diff
 0a68ef3615c64bd5ee54a3320e46667d  ./linux-4.9.tar.xz
-6a08b0b3f2d90271418ea2fdca56a8fa  ./linux_src.pkg
-46c1586c3534ec384459d20ce91286a5  ./linux_src.SlackBuild
-da6c644cd6f7e701a8ddb8c02c5b3143  ./linux_src.SlackBuild.log.gz
+0c49be6828fc56d490cf0e33c045edae  ./linux_src.pkg
+783aa6b6e7734ef62d98f19d350448e7  ./linux_src.SlackBuild
+94822d59f44255707e84dedde44dbc25  ./linux_src.SlackBuild.log.gz
+4ae0221e47d6329233c38875ec0b090a  ./patch-4.14.172.xz
 a64148a9d7dc6ba241790f3cb320a9d7  ./patch-4.9.184.xz
 1cf03959fb7ab6bf20bbc87993631bce  ./patch-4.9.215.xz
Index: npl/kernel/linux_src/linux_src.version
===================================================================
--- npl/kernel/linux_src/linux_src.version	(revision f6630dda9bbc206e69f0475bfb8672e20d5beaa1)
+++ npl/kernel/linux_src/linux_src.version	(revision e8565120de16c582dc1bd83033f7d7370bacd011)
@@ -1,1 +1,1 @@
-4.9.215_bigmem_syn3
+4.14.172_bigmem_syn3
